Summary: Simple game to connect squares
Name: squaroid
Version: 0.30
Release: 2
Copyright: GPL
Packager: Danny Sung <dannys@mail.com>
Vendor: Lukas Schroder <lukas@azzit.de>
Group: Amusements/Games
Source: http://www.azzit.de/squaroid/squaroid-0.30.tar.gz
BuildRoot: /tmp/%{name}-%{version}-root
URL: http://www.azzit.de/squaroid/

%description
In Squaroid, you earn points by making squares -- that is, you put
your stones down on the board so that you've got one stone at each
corner of a square.

%prep

%setup

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --bindir=/usr/bin
make
mv irc-bot/README README.ircbot

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
make bindir=${RPM_BUILD_ROOT}/usr/bin prefix=${RPM_BUILD_ROOT}/usr/games/squaroid install
install -m755 irc-bot/squaroid-host.pl ${RPM_BUILD_ROOT}/usr/bin

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/usr/bin/squaroid
/usr/bin/squaroid-host.pl
/usr/games/squaroid/gfx
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc README.ircbot

